import store from '../store'
import sensors from "sa-sdk-javascript";
import {
  addRecord
} from '../api/index'


import sdk from './buriedPoint'

const pointArr = [
  {
    ad: '2092LOAjxP3YwpDa',
    pm: '',
    at: '20230309-LLB-CJHD',
    spid: ['1280', '298', '299', '1317', '1296', '1292', '1254', '1252'],
    startTime: "2023-03-16 00:00:00",
    endTime: "2023-04-30 23:59:59",
  },

]

const vuexObj = store.state
const {
  channelObj,
  user,
  product,
  fromSource,
  testId,
  testGroupId,
  tid,
  anonymousId,
  global } = vuexObj


const activityPoint = (cpnVal, eaVal, ettVal) => {
  let nowDate = Date.parse(new Date())
  let { phone, product } = store.state.addrData
  pointArr.forEach(val => {
    if (Date.parse(val.startTime) <= nowDate && nowDate <= Date.parse(val.endTime)) {
      val.spid.forEach(item => {
        if (item == product.spid) {
          console.log(item, val.ad)
          WoAnalytics.addPoint({
            ad: val.ad,
            pm: val.pm,
            at: val.at,
            ett: ettVal,
            ea: eaVal,
            cpn: cpnVal,
            mp: phone
          })
        }
      })
    } else {
      console.log('不在时间范围:', new Date())
    }
  })
}

const overtime = () => {
  if (global.js == 0) {
    if (global.point == 0) {
      activityPoint('pay_result', 'pay_result_success', 'open')
    }
  }
}

const loginClick = () => {
  addRecord({
    userid: user.userid,
    accessResource: "发起登录",
    channelKey: channelObj.channelKey,
    eventType: '7',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickLogin");
  }

};

const loginSuccess = () => {
  addRecord({
    userid: user.userid,
    accessResource: "登录成功",
    channelKey: channelObj.channelKey,
    eventType: '8',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.login(user.phone)
    sensors.track("loginSuccess");
  }
  if (global.js == 0) {
    if (global.point == 0) {
      VuePageVisitor.setMp(user.phone);
      activityPoint('activity_detail', 'activity_detail_login', 'custom')
    }
  }



};

const showSP = () => {
  addRecord({
    userid: user.userid,
    accessResource: "商品浏览",
    channelKey: channelObj.channelKey,
    eventType: '0',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("lookSp", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice,
    });
  }
};

const buyClick = () => {
  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "点击订购",
      channelKey: channelObj.channelKey,
      eventType: '1',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("clickBuy", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice,
      });
    }
    if (global.js == 0) {
      if (global.point == 0) {
        for (let i = 0; i < sdk.length; i++) {
          if (sdk[i].spid == product.spid) {
            WoAnalytics.addPoint({
              ad: sdk[i].appid,
              ett: "点击",
              ea: "点击订购"
            })
          }
        }

        activityPoint('activity_detail', 'activity_detail_order', 'click')
      }
    }
  }, 200)



}

const buySuccess = () => {
  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "订购成功",
      channelKey: channelObj.channelKey,
      eventType: '3',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("buySuccess", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice,
      });
    }
    if (global.js == 0) {
      if (global.point == 0) {
        activityPoint('pay_result', 'pay_result_success', 'open')
      }
    }
  }, 600)

}

const buyFail = (response) => {

  addRecord({
    userid: user.userid,
    accessResource: "订购失败",
    channelKey: channelObj.channelKey,
    eventType: '4',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("buyFail", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice,
      attr7: response.message
    });
  }
  if (global.js == 0) {
    if (global.point == 0) {
      activityPoint('pay_result', 'pay_result_failure', 'open')
    }
  }
}

const getToken = () => {

  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "认证成功",
      channelKey: channelObj.channelKey,
      eventType: '2',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("getToken", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice
      });
    }
  }, 400)

}

const unBuyClick = () => {

  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "点击退订",
      channelKey: channelObj.channelKey,
      eventType: '5',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("clickUnBuy", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice,
      });
    }
    if (global.js == 0) {
      if (global.point == 0) {
        for (let i = 0; i < sdk.length; i++) {
          if (sdk[i].spid == product.spid) {
            WoAnalytics.addPoint({
              ad: sdk[i].appid,
              ett: "点击",
              ea: "点击退订"
            })
          }
        }
      }
    }
  }, 400)

}

const unBuySuccess = () => {


  setTimeout(() => {
    addRecord({
      userid: user,
      accessResource: "退订成功",
      channelKey: channelObj.channelKey,
      eventType: '6',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("unBuySuccess", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice,
      });
    }
  }, 400)

}

const unBuyFail = (response) => {

  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "退订失败",
      channelKey: channelObj.channelKey,
      eventType: '13',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("unBuyFail", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice,
        attr7: response.message
      });
    }
  }, 400)

}

const memberClick = () => {

  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "会员领取",
      channelKey: channelObj.channelKey,
      eventType: '9',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("memberReceive", {
        attr4: product.productName,
        attr5: product.spid
      });
    }
    if (global.js == 0) {
      if (global.point == 0) {
        for (let i = 0; i < sdk.length; i++) {
          if (sdk[i].spid == product.spid) {
            WoAnalytics.addPoint({
              ad: sdk[i].appid,
              ett: "点击",
              ea: "点击领取会员"
            })
          }
        }
      }
    }
  }, 400)

}

const memberSuccess = () => {

  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "领取成功",
      channelKey: channelObj.channelKey,
      eventType: '10',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("memberSuccess", {
        attr4: product.productName,
        attr5: product.spid
      });
    }
  }, 400)

}

const memberFail = (response) => {

  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "领取失败",
      channelKey: channelObj.channelKey,
      eventType: '11',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("memberFail", {
        attr4: product.productName,
        attr5: product.spid,
        attr6: response.message
      });
    }
  }, 400)

}

const clickBlindBox = () => {
  addRecord({
    userid: user.userid,
    accessResource: "点击盲盒",
    channelKey: channelObj.channelKey,
    eventType: '12',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickBlindBox", {
      attr5: product.spid,
      attr4: product.productName,
    });
  }
}

const pageBrowseTime = () => {
  let time = localStorage.getItem('duration')
  let duration = time ? time : 0
  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "页面浏览时长",
      channelKey: channelObj.channelKey,
      eventType: '14',
      fromSource: fromSource,
      productId: product.id,
      duration: duration,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("pageStay", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice,
        attr7: duration,
      });
    }
    if (global.js == 0) {
      if (global.point == 0) {
        for (let i = 0; i < sdk.length; i++) {
          if (sdk[i].spid == product.spid) {
            WoAnalytics.addPoint({
              ad: sdk[i].appid,
              ett: "停留时常",
              ea: "页面浏览时长(首页)",
              dr: duration
            })
            WoAnalytics.addPoint({
              ad: sdk[i].appid,
              ett: "关闭",
              ea: "pageClose"
            })
          }
        }
      }
    }
  }, 400)



}
const clickBanner = () => {
  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "点击banner",
      channelKey: channelObj.channelKey,
      eventType: '15',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("clickBanner", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice
      });
    }
  }, 400)

}
const explainBrowseTime = () => {
  let time = localStorage.getItem('ruleTime')
  let ruleTime = time ? time : 0

  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "产品说明浏览时长",
      channelKey: channelObj.channelKey,
      eventType: '16',
      fromSource: fromSource,
      productId: product.id,
      duration: ruleTime,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("explainStay", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice,
        attr7: ruleTime,
      });
    }
    if (global.js == 0) {
      if (global.point == 0) {
        for (let i = 0; i < sdk.length; i++) {
          if (sdk[i].spid == product.spid) {
            WoAnalytics.addPoint({
              ad: sdk[i].appid,
              ett: "停留时常",
              ea: "页面浏览时长(产品说明页面)",
              dr: ruleTime
            })
          }
        }
      }
    }
  }, 400)
}
const clickOrderRecord = () => {
  addRecord({
    userid: user.userid,
    accessResource: "点击订购记录",
    channelKey: channelObj.channelKey,
    eventType: '17',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("searchOrderRecord", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}
const clcikReceive = () => {
  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "点击领取话费",
      channelKey: channelObj.channelKey,
      eventType: '18',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("clickGivecharge", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice
      });
    }
  }, 400)

}
const clickFollow = () => {

  setTimeout(() => {
    addRecord({
      userid: user.userid,
      accessResource: "点击关注公众号",
      channelKey: channelObj.channelKey,
      eventType: '19',
      fromSource: fromSource,
      productId: product.id,
      anonymousId: anonymousId,
      testId: testId,
      testGroupId: testGroupId,
      tid: tid
    });
    if (global.sensors == 0) {
      sensors.track("clickFollow", {
        attr4: product.spid,
        attr5: product.productName,
        attr6: product.originalPrice
      });
    }
  }, 400)

}
const clickRecommend = () => {

  addRecord({
    userid: user.userid,
    accessResource: "点击推荐",
    channelKey: channelObj.channelKey,
    eventType: '20',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickRecommend", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}
const clickUnsubscribe = () => {

  addRecord({
    userid: user.userid,
    accessResource: "点击确定",
    channelKey: channelObj.channelKey,
    eventType: '21',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickUnsubscribe", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}
const clickUnsubscribeGo = () => {

  addRecord({
    userid: user.userid,
    accessResource: "点击去看看",
    channelKey: channelObj.channelKey,
    eventType: '22',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickUnsubscribeGo", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

//打开页面
const openPage = () => {
  if (global.js == 0) {
    if (global.point == 0) {
      if (user.phone) VuePageVisitor.setMp(user.phone);
      sdk.forEach(val => {
        if (product.spid == val.spid) {
          WoAnalytics.addPoint({
            ad: val.appid,
            ett: "打开",
            ea: "pageOpen"
          }).then(res => {
            localStorage.setItem('pageOpenTime', new Date())
          })
        }
      })
      activityPoint('activity_detail', 'activity_detail_view', 'open')
    }
  }
}

// 流量激活
const flowJihuo = () => {

  addRecord({
    userid: user.userid,
    accessResource: "点击流量激活",
    channelKey: channelObj.channelKey,
    eventType: '23',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickTraffic", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}
// 一键拨号
const dialNumber = () => {

  addRecord({
    userid: user.userid,
    accessResource: "点击一键拨号",
    channelKey: channelObj.channelKey,
    eventType: '24',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickDialing", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

// 流量无法激活-点击试试解决
const jihuoSolve = () => {

  addRecord({
    userid: user.userid,
    accessResource: "流量无法激活-试试解决",
    channelKey: channelObj.channelKey,
    eventType: '25',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("activateClick1", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

// 流量无法激活-坚持退订
const jihuoUnbuy = () => {

  addRecord({
    userid: user.userid,
    accessResource: "流量无法激活-坚持退订",
    channelKey: channelObj.channelKey,
    eventType: '26',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("activateClickinsist1", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

// 会员无法领取-点击试试解决
const memberSolve = () => {

  addRecord({
    userid: user.userid,
    accessResource: "会员无法领取-试试解决",
    channelKey: channelObj.channelKey,
    eventType: '27',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("activateClick2", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

// 会员无法领取-坚持退订
const memberUnbuy = () => {

  addRecord({
    userid: user.userid,
    accessResource: "会员无法领取-坚持退订",
    channelKey: channelObj.channelKey,
    eventType: '28',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("activateClickinsist2", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

//退订原因 --点击最近不用客户端
const unbuyReason = () => {

  addRecord({
    userid: user.userid,
    accessResource: "退订原因-最近不用客户端",
    channelKey: channelObj.channelKey,
    eventType: '29',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickRecentlyclient", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

//退订原因 --点击流量用不完
const unbuyReason1 = () => {

  addRecord({
    userid: user.userid,
    accessResource: "退订原因-点击流量用不完",
    channelKey: channelObj.channelKey,
    eventType: '29',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickTrafficup", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}
//退订原因 --点击价格太贵
const unbuyReason2 = () => {

  addRecord({
    userid: user.userid,
    accessResource: "退订原因-价格太贵",
    channelKey: channelObj.channelKey,
    eventType: '30',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickPriceexpensive", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}
//退订原因 --点击误点误操作
const unbuyReason3 = () => {

  addRecord({
    userid: user.userid,
    accessResource: "退订原因-误点误操作",
    channelKey: channelObj.channelKey,
    eventType: '31',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickMisoperation", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

//退订原因 --点击其他
const unbuyReason4 = () => {

  addRecord({
    userid: user.userid,
    accessResource: "退订原因-其他",
    channelKey: channelObj.channelKey,
    eventType: '32',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickOther", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

//退订原因 --流量无法激活
const unbuyReason5 = () => {

  addRecord({
    userid: user.userid,
    accessResource: "退订原因-流量无法激活",
    channelKey: channelObj.channelKey,
    eventType: '33',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickBeactivated", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}
//退订原因 --会员无法领取
const unbuyReason6 = () => {
  addRecord({
    userid: user.userid,
    accessResource: "退订原因-会员无法领取",
    channelKey: channelObj.channelKey,
    eventType: '34',
    fromSource: fromSource,
    productId: product.id,
    anonymousId: anonymousId,
    testId: testId,
    testGroupId: testGroupId,
    tid: tid
  });
  if (global.sensors == 0) {
    sensors.track("clickMemberreceive", {
      attr4: product.spid,
      attr5: product.productName,
      attr6: product.originalPrice
    });
  }
}

// 三选一会员领取页埋点
const memberPage = () => {
  let userid = localStorage.getItem('userid');
  let channelKey = ""
  if (process.env.VUE_APP_ENV == 'development') {
    channelKey = "464c87375658"
  } else if (process.env.VUE_APP_ENV == 'production') {
    channelKey = "10ecbdfd3f72"
  } else if ( process.env.VUE_APP_ENV == 'test') {
    channelKey = "8dfabc84364f"
  }
  let anonymousId = sensors.store._state.$device_id
  setTimeout(() => {
    addRecord({
      userid: userid,
      accessResource: "浏览三选一会员领取页",
      channelKey: channelKey,
      eventType: '99',
      fromSource: '订购页',
      productId: 66,
      anonymousId: anonymousId,
      testId: '',
      testGroupId: '',
      tid: ''
    });
  }, 400)

}


export default {
  loginSuccess,
  showSP,
  loginClick,
  buyClick,
  buySuccess,
  buyFail,
  getToken,
  unBuyClick,
  unBuySuccess,
  unBuyFail,
  memberClick,
  memberSuccess,
  memberFail,
  clickBlindBox,
  pageBrowseTime,
  explainBrowseTime,
  clickBanner,
  clickOrderRecord,
  clcikReceive,
  clickFollow,
  clickRecommend,
  clickUnsubscribe,
  clickUnsubscribeGo,
  // closePage,
  openPage,
  flowJihuo,
  dialNumber,
  jihuoSolve,
  jihuoUnbuy,
  memberSolve,
  memberUnbuy,
  unbuyReason,
  unbuyReason1,
  unbuyReason2,
  unbuyReason3,
  unbuyReason4,
  unbuyReason5,
  unbuyReason6,
  memberPage,
  overtime
}
