import {
  postBuy,
  postNewBuy,
  orderList,
  changeBackUserid,
  changeUseridToPhone,
  memberGive,
  changeUserid,
  login,
  aqyUser,
  numberSearch,
  getPhoneAddres,
  detMainProduct,
  ssotoken,
  strategytemplate
} from '../api'
import util from '../util'
import addR from "../common/addRecord";
import wx from "weixin-js-sdk";
import { mapState, mapMutations } from 'vuex';
import {
  Dialog
} from "vant";
import MgtvApi from "@/util/mgTvJssdk.js";
import { outsideJs, biliUser, activation } from '../api/JS'
export default {
  data () {
    return {
      imgUrl: process.env.VUE_APP_IMGS_URL,
      iframeUrl: process.env.VUE_APP_IFAMRE,
      param: {
        cpid: '',
        spid: '',
        channel: "boyuan",
        channeltype: "1",
        timestamp: "",
        clienttype: "3",
        sign: "",
        phone: "",
        theme: "",
        version: "1.0.0",
        servicephone: "",
        spchannelId: ''
      },
      payState: false,
      iframe: {},
      iframeNet: {},
      showTimeout: false,
      isNet: false,
      isNet2: true,

      // 临时实现
      dateTime: new Date(),
      isApplet: false,
      iframePhone: "",
      exitShow: false
    }
  },
  computed: {
    ...mapState(['user', 'orderState', 'strategy', 'product', 'cancelList', 'channelObj', 'productList', 'productJson', 'fictitious']),
    extJson () {
      return JSON.parse(this.strategy.extJson)
    },
  },
  activated () {
    window.document.title = this.product.productName;
    if (/ip(hone|od|ad)/i.test(navigator.userAgent)) {
      const hackIframe = document.createElement("iframe");
      hackIframe.style.display = "none";
      hackIframe.src = "/";
      document.body.appendChild(hackIframe);
      setTimeout((_) => {
        document.body.removeChild(hackIframe);
      }, 300);
    }
  },
  created () {
    this.userMatch()
    if (this.extJson.attestation != 0) {
      this.iframePhone = this.user.phone
    }
  },
  mounted () {
    addR.openPage() // 页面打开事件
    addR.showSP();
    wx.miniProgram.getEnv(res => {
      this.isApplet = res.miniprogram
    })
    var that = this
    // 统一认证监听

    window.addEventListener('message', e => {
      if (!this.isNet) {
        document.body.style.overflow = '';
        if (e.data.type === 'onActiveCallback') { } else if (e.data.type === 'onBuyCallback') {
          window.console.log(e.data.data.msg)
          // this.$toast(e.data.data.msg)
        } else {
          try {
            var data = JSON.parse(e.data);
            console.log(data)
            switch (data.resultcode) {
              case "0": //处理成功
                changeUseridToPhone({
                  userid: decodeURIComponent(data.userid)
                }).then(res => {
                  this.$store.commit('setUser', {
                    userid: decodeURIComponent(data.userid),
                    phone: res.data
                  })
                  this.$sensors.login(res.data)
                  this.onMessageSuccess(data);
                })
                break;
              case "0001": //auth_no无效
              case "0003": //client_id不存在
              case "4444": //服务暂时不可用（系统忙/系统队列满）
              case "9001": //关闭H5认证页面
                that.showZhezhao = false
                that.iframe.remove();
                that.$toast(res.data);
                break;
              default:
                that.$toast(res.data)
                break;
            }
          } catch (e) { }
        }
      } else {
        if (e.data.code) {
          if (e.data.code == '2007') {
            this.getTotast(1)
          } else if (e.data.code == '1000') {
            this.getTotast(3)
          } else if (e.data.code == '-2') {
            this.getTotast(4)
          }
        } else {
          if (e.data) {
            let time = new Date().getTime()
            localStorage.setItem('net5g', time)
            this.getPhoneNet(e.data)
          } else {
            this.getTotast(2)
          }

        }
      }
    }, false);
    // 关闭页面监听
    if (navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/)) {
      window.addEventListener("pagehide", e => this.unloadHandler(e));
    } else {
      window.addEventListener("unload", e => this.unloadHandler(e));
    }
    if (this.extJson.exitShow == '1') {
      if (window.history && window.history.pushState) {
        // 向历史记录中插入了当前页
        history.pushState(null, null, document.URL);
        window.addEventListener('popstate', this.openExit, false);
      }
    }
  },
  methods: {
    openExit () {
      console.log('监听了')
      if (this.extJson.exitShow == '1') { this.exitShow = true }
    },
    ...mapMutations(['setOrderState', 'setRecommends', 'setStrategy', 'setProductList', 'setProduct', 'setUnbuyStrategy', 'setTempName', 'setrepeatProduct', 'setJson']),
    beforeLogin (type) {
      this.type = type;
      if (this.user.userid) {
        if (type === "manual" || type === "member") {
          this.toLink(type);
        } else if (type === "unBUy") {
          addR.unBuyClick();
          if (this.cancelList.length > 0) {
            this.drainageShow = true
          } else {
            this.showUnbuy = true;
          }
        }
      } else if (type === "unBUy") {
        addR.unBuyClick();
        if (this.cancelList.length > 0) {
          this.drainageShow = true
        } else {
          this.showUnbuy = true;
        }
      } else {
        addR.loginClick();
        this.showLogin = true;
      }
    },
    openIframe () {
      document.body.style.overflow = 'hidden';
      this.param.cpid = this.product.cpid
      this.param.spid = this.product.spid
      this.param.spchannelId = this.channelObj.fullCode
      // outsideJs()
      var that = this
      this.$toast.loading({
        message: '请求中...'
      });
      let now = Date.now()
      that.param.timestamp = now
      that.param.sign = that.$md5(this.param.cpid + now + '!QAZ2wsx')
      if (that.iframePhone) {
        that.param.phone = that.iframePhone
      }
      let iframe = document.createElement('iframe');
      let bodyDom = document.getElementById('temp');
      iframe.id = 'iframe'
      iframe.classList.add('iframe')
      iframe.src = that.iframeUrl
      bodyDom.insertBefore(iframe, bodyDom.lastChild)
      this.iframe = iframe
      addR.buyClick()
      iframe.onload = function () {
        iframe.contentWindow.postMessage(JSON.stringify(that.param), that.iframeUrl)
        if (that.extJson.isMask === '1') {
          that.showZhezhao = true
        }
        that.$toast.clear();
      }

    },
    async onMessageSuccess (data) {
      addR.getToken()
      this.iframe.remove();
      this.showZhezhao = false
      let fromSource = localStorage.getItem('beCome')
      let updata = {
        cpid: this.product.cpid,
        spid: this.product.spid,
        productId: this.product.id,
        channelKey: this.channelObj.channelKey,
        token: data.token,
        type: '0',
        userid: decodeURIComponent(data.userid),
        needJoinActivity: this.extJson.isZhic === '1' ? 1 : 0,
        fromSource: fromSource,
        anonymousId: this.$sensors.store._state.$device_id,
        testId: this.$store.state.testId,
        testGroupId: this.$store.state.testGroupId,
      }
      this.handel(updata)
    },
    // 订购111
    handel (updata) {
      if (this.extJson.returnApi == '0') {
        if (this.extJson.dispose !== '') {
          outsideJs()
        }
      }

      postBuy(updata).then(res => {
        if (res.code == 10000) {
          this.setOrderState('已订购')
          this.payState = true
          addR.buySuccess()
          if (this.extJson.handelVal == '1') {
            this.handelShow = true
          } else {
            this.$toast.success('订购成功');
          }
          if (this.extJson.isZhic === '1') {
            setTimeout(() => {
              this.giveMember()
            }, 1000)
          }
          if (this.extJson.returnApi == '1') {
            if (this.extJson.dispose !== '') {
              outsideJs()
            }
          }
          if (this.extJson.activation === '1') {
            setTimeout(() => {
              activation()
            }, 1500)

          }
        }
      }, response => {
        if (response.code !== 500) {
          this.showTimeout = true
          addR.overtime()
          if (this.extJson.returnApi === '1') {
            if (this.extJson.dispose !== '') {
              outsideJs()
            }
          }
        } else {
          if (response.message != "指定时间内重复请求") {
            if (response.message == "您已订购，请不要重复订购！" && this.extJson.orderRepeat != '') {
              this.repeatShow = true
            } else {
              this.$toast.fail({
                message: response.message,
                duration: 5000
              })
            }
          }
          addR.buyFail(response)
          this.getIsBuy()
        }
      }).catch(res => {
        console.log(res)
      })
    },
    unloadHandler (e) {
      // addR.closePage()   //页面关闭事件
      let startTime = this.dateTime.getTime()
      let endTime = new Date().getTime()
      let duration = endTime - startTime
      localStorage.setItem('duration', duration)
      addR.pageBrowseTime()
      localStorage.removeItem('duration')
    },
    // 短信认证
    toBuy (infoForm) {
      let {
        phone,
        vcode
      } = infoForm;
      addR.buyClick()
      return login({
        phone,
        vcode
      }).then(async res => {
        let flag = this.user.userid === ''
        this.$store.commit('setUser', {
          userid: res.data.userid,
          phone: infoForm.phone
        })
        if (this.product.spid == "1048") { // 对广东用户拦截
          let jixu = await this.getPhoneInfo(res.data.userid)
          if (jixu !== 1) return false
        }

        if (flag) {
          addR.loginSuccess()
          setTimeout(() => {
            addR.getToken()
          }, 500);
        }
        infoForm = {}
        let fromSource = localStorage.getItem('beCome')
        let updata = {
          cpid: this.product.cpid,
          spid: this.product.spid,
          productId: this.product.id,
          channelKey: this.channelObj.channelKey,
          token: res.data.token ? res.data.token : "0",
          type: '0',
          userid: res.data.userid,
          needJoinActivity: this.extJson.isZhic === '1' ? 1 : 0,
          fromSource: fromSource,
          anonymousId: this.$sensors.store._state.$device_id,
          testId: this.$store.state.testId,
          testGroupId: this.$store.state.testGroupId,
        }
        this.handel(updata)
      }, res => {
        this.$toast(res.message);
      })
    },
    // 简单认证
    async toNewBuy (infoForm) {
      let {
        vcode
      } = infoForm;
      addR.buyClick()
      let fromSource = localStorage.getItem('beCome')
      let updata = {
        cpid: this.product.cpid,
        spid: this.product.spid,
        productId: this.product.id,
        channelKey: this.channelObj.channelKey,
        type: '0',
        userid: this.user.userid,
        vcode: vcode,
        anonymousId: this.$sensors.store._state.$device_id,
        fromSource: fromSource,
        needJoinActivity: this.extJson.isZhic === '1' ? 1 : 0,
        testId: this.$store.state.testId,
        testGroupId: this.$store.state.testGroupId,
        subchannel: this.channelObj.fullCode
      }
      if (this.extJson.returnApi === '0') {
        if (this.extJson.dispose !== '') {
          outsideJs()
        }
      }
      addR.getToken()
      if (this.product.spid == "1048") { // 对广东用户拦截
        let jixu = await this.getPhoneInfo(this.user.userid)
        if (jixu !== 1) return false
      }
      postNewBuy(updata).then(res => {
        if (res.code == 10000) {
          this.setOrderState('已订购')
          this.payState = true
          this.$toast.success('订购成功');
          infoForm = {}
          if (this.extJson.isZhic === '1') {
            setTimeout(() => {
              this.giveMember()
            }, 1000)
          }
          if (this.extJson.returnApi === '1') {
            if (this.extJson.dispose !== '') {
              outsideJs()
            }
          }
          if (this.extJson.activation === '1') {
            setTimeout(() => {
              activation()
            }, 1500)
          }
          addR.buySuccess()

        }
      }, response => {
        if (response.code !== 500) {
          this.showTimeout = true
          addR.overtime()
          if (this.extJson.returnApi === '1') {
            if (this.extJson.dispose !== '') {
              outsideJs()
            }
          }
        } else {
          let message = response.message
          if (response.message == "您已订购，请不要重复订购！" && this.extJson.orderRepeat !== '') {
            this.repeatShow = true
          } else {
            if (message === "短信校验出现问题{token}为空->验证码有误或失效，请重新获取") {
              this.$toast.fail({
                message: "验证码已失效，请重新获取"
              })
            } else {
              this.$toast({
                message: message
              })
            }

          }
          addR.buyFail(response)
          this.getIsBuy()
        }
      }).catch(res => {
        console.log(res)
      })
    },
    // 直接领取会员
    giveMember () {
      let updata = {
        activeType: this.product.activeType,
        userid: this.user.userid,
        channelKey: this.channelObj.channelKey,
        isCompositeProduct: this.product.isCompositeProduct,
      };
      addR.memberClick();
      memberGive(updata).then((res) => {
        addR.memberSuccess();
        this.$toast.success('会员领取成功');
      },
        (response) => {
          addR.memberFail(response);
          this.$toast(response.message);
        }
      )
        .catch(() => {
          this.$toast.fail('会员领取失败，请手动领取')
        });
    },
    // 刷新订购状态
    getIsBuy () {
      if (this.extJson.dispose !== '') {
        this.extJson.dispose.split(',').forEach(val => {
          if (val === 'ksJhuo' || val === 'kuaishou') {
            activation()
          }
        })
      }
      if (this.user.userid) {
        orderList({
          userid: this.user.userid,
          cpid: this.product.cpid,
          spid: this.product.spid,
        }).then((res) => {
          // console.log(res)
          let data = res.data;
          if (data.length === 0) {
            this.getBuyList('未订购')
          } else {
            for (let i = 0; i < data.length; i++) {
              if (data[i].STATUS === "0") {
                // this.isBuy = "已订购";
                this.setOrderState('已订购')
              } else {
                this.getBuyList('已退订')
              }
            }
          }
        })
      }
    },
    // 查询关联产品订购记录
    async getBuyList (isBuy) {
      let arr = []
      if (this.product.cacheSeatOne[0].relationIds) {
        let ids = this.product.cacheSeatOne[0].relationIds.split(',')
        for (let j = 0; j < ids.length; j++) {
          let info = await detMainProduct({ productId: ids[j] })
          let obj = {
            userid: this.user.userid,
            spid: info.data.spid,
            cpid: info.data.cpid
          }
          await orderList(obj).then(result => {
            if (result.data.length > 0) {
              arr = result.data
              return false
            }
          })
        }
      } else {
        // this.isBuy = isBuy
        this.setOrderState(isBuy)
      }
      if (arr.length > 0) {
        arr.forEach(val => {
          if (val.STATUS === "0") {
            // this.isBuy = "已订购";
            this.setOrderState("已订购")
          } else {
            // this.isBuy = "已退订";
            this.setOrderState("已退订")
          }
        })
      } else {
        this.isBuy = isBuy
      }
    },
    // 客户端免流激活
    jihuo (val) {
      this.type = val
      if (val === '点击激活') {
        addR.flowJihuo()
      }
      let userid = this.user.userid
      if (userid) {
        activation()
      } else {
        this.showLogin = true
      }

    },
    // 号段匹配
    number (userid) {
      numberSearch({
        userId: userid
      }).then(res => {
        // console.log(res)
        if (res.data.authType !== null) {
          let extJson = this.extJson
          extJson.attestation = res.data.authType
          let strategy = this.strategy
          strategy.extJson = JSON.stringify(extJson)
          this.setStrategy(strategy)
        }
      })
      this.getIsBuy()
    },
    // 免登匹配
    userMatch () {
      let {
        mappid,
        userid,
        ticket
      } = util.query2obj(location.search)
      if (mappid) {
        changeBackUserid({
          userid: decodeURIComponent(mappid),
          cpid: this.product.cpid
        }).then(res => {
          this.$store.commit('setUser', {
            userid: res.data.userid,
            phone: res.data.phone
          })
          addR.loginSuccess()
          if (res.data.userid) {
            this.number(res.data.phone)
          }
        })
        return false
      }
      if (userid) {
        changeUseridToPhone({
          userid: decodeURIComponent(userid)
        }).then(res => {
          this.$store.commit('setUser', {
            userid: decodeURIComponent(userid),
            phone: res.data
          })
          addR.loginSuccess()
          this.number(res.data)
        })
      } else if (this.user.phone != '') {
        this.number(this.user.phone)
      }
      if (this.extJson.dispose !== '') {
        this.extJson.dispose.split(',').forEach(val => {
          if (val === 'ksInfo' || val === 'kuaishou') {
            if (this.$store.state.global.js === 0) {
              let head = document.getElementsByTagName("head")[0];
              let script = document.createElement("script");
              script.innerHTML = `
                          (function (root) {
                            var ksscript = document.createElement('script');
                            ksscript.setAttribute('charset', 'utf-8');
                            ksscript.src = 'https://tx2.a.kwimgs.com/udata/pkg/ks-ad-trace-sdk/ks-trace.3.2.0.min.js';
                            var s = document.getElementsByTagName('script')[0]; 
                            s.parentNode.insertBefore(ksscript, s);
                          })(window);`;
              head.appendChild(script);
            }
          } else if (val === 'bili') {
            biliUser()
          } else if (val === 'tencent') {
            if (QQVideoBridge.auth) {
              QQVideoBridge.auth()
            }
          } else if (val === "ticket") {
            if (ticket) {
              ssotoken({ ticket: ticket }).then(res => {
                if (res.code == 10000) {
                  let data = JSON.parse(res.data)
                  this.$store.commit('setUser', {
                    userid: data.user_id,
                    phone: data.phone
                  })
                  addR.loginSuccess()
                  this.number(data.phone)
                }
              })
            }
          } else if (val === 'aqy') {
            if (this.$route.query.token) {
              let token = this.$route.query.token
              aqyUser({
                orderId: token
              }).then(res => {
                if (res.code === 10000) {
                  this.$store.commit("setUser", {
                    userid: res.data.userId,
                    phone: res.data.phone,
                  });
                  this.number(res.data.phone)
                }
              })
            }
          } else if (val == 'net5G') {
            if (!localStorage.getItem('phone')) {
              this.$nextTick(() => {
                this.getNetUrl()
              })
            }
          }
        })
      }
    },

    getPhoneInfo (userid) {  //验证归属地 拦截广东用户 优酷合约专用
      let pResult = new Promise((resolve, reject) => {
        getPhoneAddres({
          userId: decodeURIComponent(userid),
        }).then((res) => {
          if (res.data.province == "广东") {
            Dialog({
              message: '由于系统升级原因，请广东用户到“联通畅视”公众号进行订购',
              theme: 'round-button',
            })
            resolve(2);
          } else {
            resolve(1);
          }
        }).catch(err => {
          resolve(1);
        });

      })
      return pResult;
    },
    toLink (type) {
      let cpid = this.product.cpid;
      let spid = this.product.spid;
      let isCompositeProduct = this.product.isCompositeProduct;
      let activeType = this.product.activeType;
      let productName = this.product.productName;
      let url;
      if (type === "manual") {
        addR.clickOrderRecord();
        url = "/order001";
      } else if (type === "member") {
        addR.memberClick();

        if (this.product.cacheSeatOne[0].memberUrl !== "") {
          if (this.isApplet == false) {
            if (this.product.cacheSeatOne[0].memberUrl.includes('http')) {
              window.location.href = this.product.cacheSeatOne[0].memberUrl;
            } else {
              window.location.href = "https://cs.mige.tv/H"
            }
            return false;
          } else {
            if (this.product.cacheSeatOne[0].memberUrl.includes('http')) {
              window.location.href = "https://cs.mige.tv/H"
            } else {
              wx.miniProgram.navigateTo({
                url: this.product.cacheSeatOne[0].memberUrl
              })
            }
            return false;
          }
        } else {
          if (this.product.isCompositeProduct === 2) {
            url = "/member002";
          } else {
            url = "/member001";
          }
        }
      }
      this.$router.push({
        path: url,
        query: {
          cpid: cpid,
          spid: spid,
          isCompositeProduct: isCompositeProduct,
          activeType: activeType,
          productName: productName,
        },
      });
    },
    // 推荐 && 退订引流跳转
    recommend (id) {
      strategytemplate(id).then(async (res) => {
        let data = res.data;
        // 当前策略配置信息
        let extJson = JSON.parse(data.extJson)
        // console.log(extJson)
        // 判断推荐策略是否有数据  有数据就存储到vuex中
        if (data.recommendStrategyIds.length > 0) {
          let arr = []
          data.recommendStrategyIds.forEach(async val => {
            let list = await strategytemplate(val)
            arr.push(list.data)
          });
          this.setRecommends(arr)
        }
        // 存储当前策略信息
        this.setStrategy(data)
        // console.log(this.$store.state.strategy)
        // 存储产品列表  多产品情况
        let info = await detMainProduct({ productId: data.primaryProductId })
        if (info.code == 10000) {
          // 存储产品列表
          this.setProductList(info.data)
          this.setProduct(info.data)
        }
        if (data.viceProductIds.length > 0) {
          let viceProductInfo = await detMainProduct({ productId: data.viceProductIds[0] })
          if (viceProductInfo.code == 10000) {
            // 存储副产品
            this.setProductList(viceProductInfo.data)
          }
        }
        // 存储三产品信息
        if (extJson.viceProductId2 != '') {
          let info2 = await detMainProduct({ productId: extJson.viceProductId2 })
          if (info2.code == 10000) {
            // 存储副产品
            this.setProductList(info2.data)
          }
        }
        // 存储退订引流策略
        if (data.unsubscribeStrategyIds.length > 0) {
          let arr = []
          data.unsubscribeStrategyIds.forEach(async val => {
            let list = await strategytemplate(val)
            arr.push(list.data)
          });
          this.setUnbuyStrategy(arr)
        }

        // 存储订购引流策略
        if (extJson.orderRepeat) {
          let repeatObj = await strategytemplate(extJson.orderRepeat)
          this.setrepeatProduct(repeatObj.data)
        }
        this.setTempName('')
        let productJSON = JSON.parse(data.productJson).product
        this.setJson(productJSON)
        if (window.navigator.userAgent.toLowerCase().match(/MicroMessenger/i) == "micromessenger") {
          let banners = productJSON.bannerImg
          let img = productJSON.logoPic ? this.imgUrl + productJSON.logoPic : this.imgUrl + banners;
          let url = location.href;
          let desc = info.data.remark3 ? info.data.remark3 : "联通畅视流量包";
          getWxCode(info.data.productName, img, url, desc);
        }
        let title = productJSON.pageTitle != '' ? productJSON.pageTitle : info.data.productName
        document.title = title;
        if (navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/)) {
          MgtvApi.setWebviewTitle({
            title: title,
          });
        }
        setTimeout(() => {
          this.setTempName(data.templateCode)
        }, 1)
        if (this.user.userid) {
          this.getIsBuy()
        }

      });

    },

    // 活动跳转
    activityClick () {
      if (this.strategy.activityType == 99) {
        window.location.href = this.strategy.linkUrl;
      } else {
        if (this.user.userid) {
          if (this.strategy.activityType == 2) {
            let url = `${this.strategy.linkUrl
              }&userid=${encodeURIComponent(this.user.userid)}`;
            window.location.href = url;
          } else if (this.strategy.activityType == 1) {
            changeUserid({
              userid: this.user.userid,
              cpid: this.product.cpid,
            }).then((res) => {
              let url = `${this.strategy.linkUrl}?userid=${res.data}`;
              window.location.href = url;
            });
          } else {
            // 临时调整  为无活动适配跳转
            let url = this.strategy.linkUrl;
            window.location.href = url;
          }
        } else {
          this.showLogin = true;
          addR.loginClick();
        }
      }
    },

    chaxun () {
      addR.clickFollow();
      this.showQr = true;
    },

    //net取号
    getNetUrl () {
      getUrl({}).then(res => {
        if (res.code == 10000) {
          this.netIfream(JSON.parse(res.data).url)
        }
      })
    },
    netIfream (url) {
      this.isNet = true
      let iframe = document.createElement('iframe');
      let bodyDom = document.getElementById('temp');
      iframe.id = 'iframe'
      iframe.classList.add('iframe')
      iframe.src = url
      this.iframeNet = iframe
      bodyDom.insertBefore(iframe, bodyDom.lastChild)
    },
    getPhoneNet (e) {
      this.isNet = false
      this.iframeNet.remove();
      phoneNet({ phone: e }).then(res => {
        if (res.code == 10000) {
          localStorage.setItem('phone', res.data)
          this.phone = res.data
          this.$store.commit("setUser", {
            userid: "",
            phone: res.data,
          });
          setTimeout(() => {
            this.openIframe()
          }, 1000)
        }
      })
    },
    getTotast (num) {
      this.iframeNet.remove();
      if (num == 1) {
        let time = new Date().getTime()
        localStorage.setItem('net5g', time)
        this.$toast('取号次数已达上限,请手动输入')
      } else if (num == 2) {
        this.isNet2 = false
        this.$toast('验证失败,请重新输入')
      } else if (num == 3) {
        this.isNet2 = false
      } else {
        this.isNet2 = false
        let unicom = new Date().getTime()
        localStorage.setItem('unicomTime', unicom)
        this.$toast('请手动输入')
      }

    },
  }
}
