import Vue from 'vue'
import Vuex from 'vuex'
import sensorsModules from './modules/sensors'
import channelModules from './modules/channel'
Vue.use(Vuex)

let now = Date.now()
let past = parseInt(localStorage.getItem('past') || 0)
let userid = '',
  phone = ''
if (now - past < 24 * 60 * 60 * 1000) {
  userid = localStorage.getItem('userid')
  phone = localStorage.getItem('phone')
}
let fromSource = ""
let str = localStorage.getItem('beCome')
if (str) {
  fromSource = str
}
export default new Vuex.Store({
  state: {
    user: {
      userid,
      phone,
    },
    tempName: "loading",
    fromSource: fromSource,
    global: {},
    fictitious: '',
    //新数据管理
    //订购状态
    orderState: "未订购",
    // 推荐策略列表
    recommends: [],
    // 产品列表
    productList: [],
    //退订引流
    cancelList: [],
    // 当前产品信息
    product: {},
    // 当前策略信息
    strategy: {},
    //重复订购引流产品
    repeatProducts: {},
    //当前配置样式信息
    productJson: {}
  },
  mutations: {
    // 存储当前配置样式
    setJson (state, payload) {
      state.productJson = Object.assign({}, state.productJson, payload)
    },
    // 存储订购状态
    setOrderState (state, str) {
      state.orderState = str || ''
    },
    // 存储推荐策略信息
    setRecommends (state, arr) {
      state.recommends = arr
    },
    //存储当前策略信息
    setStrategy (state, payload) {
      state.strategy = Object.assign({}, state.strategy, payload)
    },
    // 存储产品列表信息
    setProductList (state, obj) {
      state.productList.push(obj)
    },
    // 存储当前产品信息
    setProduct (state, payload) {
      state.product = Object.assign({}, state.product, payload)
    },
    // 存储退订引流策略
    setUnbuyStrategy (state, arr) {
      state.cancelList = arr
    },
    // 存储重复订购引流产品
    setrepeatProduct (state, payload) {
      state.repeatProducts = Object.assign({}, state.repeatProducts, payload)
    },
    setUser (state, payload) {
      if (payload.userid) {
        if (payload.userid === 'undefined') return false
        localStorage.setItem('userid', payload.userid)
        localStorage.setItem('past', Date.now())
      }
      if (payload.phone) {
        localStorage.setItem('phone', payload.phone)
        localStorage.setItem('past', Date.now())
      }
      state.user = Object.assign({}, state.user, payload)
    },
    setGlobal (state, global) {
      state.global = global
    },
    setFictitious (state, fictitious) {
      state.fictitious = fictitious
      // 虚商号码管理
    },
    setTempName (state, val) {
      state.tempName = val;
    },
  },
  actions: {},
  modules: {
    sensorsObj: sensorsModules,
    channelObj: channelModules
  },
})
